Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 90343 - CAN-2003-0255 GnuPG missing validation warning
CAN-2003-0255 GnuPG missing validation warning
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: gnupg (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Mike McLean
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-07 04:12 EDT by Mark J. Cox
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-23 08:24:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:176 normal SHIPPED_LIVE Moderate: gnupg security update 2003-06-23 00:00:00 EDT

  None (edit)
Description Mark J. Cox 2003-05-07 04:12:17 EDT
The key validation code in GnuPG 1.2.2 does not properly determine the validity
of keys with multiple user IDs and assigns the greatest validity of the most
valid user ID, which prevents GnuPG from warning the encrypting user when a user
ID does not have a trusted path.

http://marc.theaimsgroup.com/?l=bugtraq&m=105215110111174

RHSA-2003:176
CAN-2003-0255

Errata in progress upgrading GnuPG to 1.0.7 with the addition of official patch.
Comment 1 Mark J. Cox 2003-06-23 04:17:46 EDT
in QA
Comment 2 Mark J. Cox 2003-06-23 08:24:32 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-176.html

Note You need to log in before you can comment on or make changes to this bug.